<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Projects|Project Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to set the network range for a project." /><title>Setting the Network Range</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#05-projects/setting-network-range.html">Open topic with navigation</a>
        </p>
        <h2>Setting the Network Range</h2>
        <p>When you create a project, you can define an optional <a name="kanchor28"></a>network range that sets the scope of the project. The network range defines the addresses that <span class="VariablesProductName">Metasploit Pro</span> uses to automatically populate the target addresses for discovery scans and Nexpose scans. It also defines network boundaries that <span class="VariablesProductName">Metasploit Pro</span> can enforce for the project. 
</p>
        <p>You do not need to set the network range unless you want to enforce network boundaries. If you choose to enforce network boundaries on a project, <span class="VariablesProductName">Metasploit Pro</span> uses the network range that you define for the project. </p>
        <ol data-mc-continue="true">
            <li value="1">From within a project, select<b class="UISelection"> Project&#160;&gt;Show All&#160;Projects</b> from the Main menu. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-show-all-projects_485x52.png" title="Show All Projects" alt="Show All Projects" style="width: 485;height: 52;" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Select the project that you want to set the network range for. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-select-project_365x257.png" title="Select a project" alt="Select a project" style="width: 365;height: 257;" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Settings </b>button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-settings-button_363x251.png" title="Project Settings button" alt=" Project Settings button" style="width: 363;height: 251;" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">In the <b class="UISelection">Network range</b> field, enter the network range that you want to restrict the project to. You can enter a single IP address, an IP range described with hypens, or a standard CIDR notation. If you define a CIDR notation, you can use an asterisk as a wild card. For example 192.168.1.* indicates 192.168.1.1-255.</li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-set-network-range_459x178.png" title="Set the network range" alt="Set the network range" style="width: 459;height: 178;" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">Click the <b class="UISelection">Update Project </b>button. </li>
        </ol>
    </body>
</html>